Subject: 26.1; menu-set-font not setting font properly and artefacts on bold face
From: Benjamin Andresen <[email-masked]>
To: [email-masked]
Date: Wed, 11 Apr 2018 23:41:03 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Starting from 'emacs -Q':

Inside *scratch* buffer:

  M-x load-theme RET tango-dark RET (More visible on dark 
  backgrounds.)
  M-x describe-face RET font-lock-comment-face RET

I use the custom interface to set `weight` to `bold` and [Apply] 
for this session.

  M-x menu-set-font RET

I select "Noto Mono Regular" (although it occurs with other fonts 
too)
at for example value 20. The font size does not change much.

Now I navigate to the first line, hovering on the "T" of "This 
buffer is
for ..."

Hold down C-f while most characters change their color after they 
are
left behind. I've recorded a video of this here:
https://streamable.com/0fald

Please note that this is the minimal reproducible scenario. I have 
this
issue on my main config in lots of places where bold fonts are 
used even
if the cursor isn't on them. This is the most reliable way to 
trigger
this behavior.

The issue also occurs with `cursor-type' set to 'bar'

In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.22.28)
 of 2018-04-10 built on localhost
Windowing system distributor 'The X.Org Foundation', version 
11.0.11906000
Recent messages:
Resetting customization items...done
Creating customization setup...done
Quit
Buffer-Face mode enabled
funcall-interactively: End of buffer [3 times]
Making completion list...
Quit [4 times]
Making completion list...
Quit [3 times]
ESC M-x is undefined

Configured using:
 'configure
 --prefix=/nix/store/0csw4dps56l5ribm71llr4jxcqly2z07-emacs-26.1-rc1
 --with-modules --with-x-toolkit=gtk3 --with-xft 'CFLAGS=-Ofast
 -momit-leaf-frame-pointer''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS 
GTK3 X11
MODULES THREADS LCMS2

Important settings:
  value of $LC_COLLATE: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  buffer-face-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv dired dired-loaddefs format-spec 
rfc822 mml
mml-sec password-cache epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 
ietf-drums
mm-util mail-prsvr mail-utils face-remap cus-edit cus-start 
cus-load
wid-edit help-fns radix-tree help-mode easymenu cl-loaddefs cl-lib 
crm
thingatpt tango-dark-theme elec-pair time-date mule-util tooltip 
eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel 
term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt 
fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang 
misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms 
cp51932
hebrew greek romanian slovak czech european ethiopic indian 
cyrillic
chinese composite charscript charprop case-table epa-hook 
jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice 
loaddefs
button faces cus-face macroexp files text-properties overlay sha1 
md5
base64 format env code-pages mule custom widget 
hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting 
system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 121153 14922)
 (symbols 48 22144 1)
 (miscs 40 268 603)
 (strings 32 32878 1222)
 (string-bytes 1 876080)
 (vectors 16 15921)
 (vector-slots 8 509080 19012)
 (floats 8 64 106)
 (intervals 56 485 2)
 (buffers 992 15))

-- 
Best regards,
Benny
                                0x9EC76EA52B8F32A1
6315 887D 6E46 6967 7AC0  3E76 9EC7 6EA5 2B8F 32A1